using UnityEngine;


namespace GameEngine
{
	[ExecuteInEditMode]
	public class RandomObject : MonoBehaviour
	{
		[SerializeField] private GameObject[] m_Prefab = default(GameObject[]);




		private void Awake()
		{
			for (int i = 0; i < m_Prefab.Length; i++)
			{
				var gameObject = m_Prefab[i];
				gameObject.SetActive(false);
			}

			m_Prefab[Random.Range(0, m_Prefab.Length)].SetActive(true);
		}
	}
}
